Não estou conseguindo instalar o screenlets :(

1. Não estou conseguindo instalar o screenlets :(

Iago Fabricio Silva Melo
iago.melo

(usa Linux Mint)

Enviado em 10/06/2016 - 10:12h

Bom dia galera.
Estou tentando instalar o sceenlets no meu ubuntu 16.4 mas não ta rolando. Adicionei o repositorio e ele me diz que não encontra.


[email protected]:~$ sudo add-apt-repository ppa:noobslab/screenlets/
[sudo] senha para iago:
This PPA contains Desktop Screenlets for Ubuntu.
http://www.NoobsLab.com
Mais informações: https://launchpad.net/~noobslab/+archive/ubuntu/screenlets
Pressione [ENTER] para continuar ou ctrl-c para cancelar a adição

gpg: chaveiro `/tmp/tmpq408bylk/secring.gpg' criado
gpg: chaveiro `/tmp/tmpq408bylk/pubring.gpg' criado
gpg: requisitando chave F59EAE4D de servidor hkp - keyserver.ubuntu.com
gpg: /tmp/tmpq408bylk/trustdb.gpg: banco de dados de confiabilidade criado
gpg: chave F59EAE4D: chave pública "Launchpad PPA for NoobsLab" importada
gpg: ultimamente não encontradas chaves confiáveis
gpg: Número total processado: 1
gpg: importados: 1 (RSA: 1)
OK

[email protected]:~$ sudo apt-get update
...
...
...
E: Failed to fetch http://ppa.launchpad.net/noobslab/screenlets/ubuntu/dists/xenial/main/binary-amd64/Packages 404 Not Found
E: Falhou o download de alguns ficheiros de índice. Foram ignorados ou os antigos foram usados em seu lugar.

[email protected]:~$ sudo apt-get install screenlets screenlets-pack-all
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
E: Impossível encontrar o pacote screenlets
E: Impossível encontrar o pacote screenlets-pack-all

Alguém sabe o que pode estar ocorrendo?


  


2. Re: Não estou conseguindo instalar o screenlets :(

Clodoaldo Santos
clodoaldops

(usa Linux Mint)

Enviado em 10/06/2016 - 10:17h

Parece que não atualizaram PPA para xx-16.04

Já tentou instalar pelo ubuntu software??


3. Re: Não estou conseguindo instalar o screenlets :(

Iago Fabricio Silva Melo
iago.melo

(usa Linux Mint)

Enviado em 10/06/2016 - 10:28h

Já sim, ele não tem o screenlets lá. :/


4. Re: Não estou conseguindo instalar o screenlets :(

Clodoaldo Santos
clodoaldops

(usa Linux Mint)

Enviado em 10/06/2016 - 10:45h

Saída do comando mostra que PPA não foi atualizado para 16.04


5. Re: Não estou conseguindo instalar o screenlets :(

Iago Fabricio Silva Melo
iago.melo

(usa Linux Mint)

Enviado em 10/06/2016 - 10:59h

Bom então o que resta é esperar. :/

Muito obrigado pela atenção.


6. Re: Não estou conseguindo instalar o screenlets :(

Alberto Federman Neto.
albfneto

(usa Sabayon)

Enviado em 10/06/2016 - 18:00h

Pelo menos em Sabayon, o screenlets funciona, mas com dependências de gnome e junto com compiz-fusion , em ambientes gráficos XFCE e MATE.
Também o Cairo-Clock e o Cairo-Dock, funcionam assim.
¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨
Albfneto,
Ribeirão Preto, S.P., Brasil.
Usuário Linux, Linux Counter: #479903.
Distros Favoritas: Sabayon, Gentoo, openSUSE, Mageia e OpenMandriva.


7. Re: Não estou conseguindo instalar o screenlets :(

Ricardo Fabiano Silva
madrugada

(usa Gentoo)

Enviado em 10/06/2016 - 18:48h

albfneto escreveu:
Pelo menos em Sabayon, o screenlets funciona, mas com dependências de gnome e junto com compiz-fusion , em ambientes gráficos XFCE e MATE.
Também o Cairo-Clock e o Cairo-Dock, funcionam assim.
[...]


Aproveitando o tópico, o Mate tem um screenlets próprio que seja compilado em GTK2 ou utiliza o screenlets do Gnome3?


8. Re: Não estou conseguindo instalar o screenlets :(

Ricardo Fabiano Silva
madrugada

(usa Gentoo)

Enviado em 10/06/2016 - 19:09h

madrugada escreveu:

albfneto escreveu:
Pelo menos em Sabayon, o screenlets funciona, mas com dependências de gnome e junto com compiz-fusion , em ambientes gráficos XFCE e MATE.
Também o Cairo-Clock e o Cairo-Dock, funcionam assim.
[...]


Aproveitando o tópico, o Mate tem um screenlets próprio que seja compilado em GTK2 ou utiliza o screenlets do Gnome3?


Respondendo a minha própria pergunta: encontrei os fontes aqui:
https://code.launchpad.net/screenlets/trunk

Baixei o tarball screenlets-0.1.6.tar.bz2, que contém um arquivo README. Dentro do README existe uma linha com o conteúdo "Uses cairo and GTK2 for drawing and windowing "
Imagino que isso quer dizer que não é necessário nem Gnome3, nem Gnome2 e nem Mate Desktop para compilar e executar os screenlets.

Ao autor do tópico, eis uma chance de pesquisar e aprender a empacotar programas para o Ubuntu. Empacote seus próprios screenlets.